html {
    height: 100%;
    margin: 0;
}

body, body.x-body {
    /*background-image: url(../images/background/background-day_.jpg);*/
    background-size: cover;
    height: 100% !important;
    margin: 0;
}

.text-primary {
    color: var(--text_primary);
}

.text-secondary {
    color: var(--text_secondary);
}

.h1 {
    font-style: normal;
    font-weight: 700;
    font-size: 40px;
    line-height: 48px;
}

.h2 {
    font-weight: 600;
    font-size: 32px;
    line-height: 40px;
}

.h3 {
    font-weight: 600;
    font-size: 24px;
    line-height: 32px;
}

.h4 {
    font-weight: 600;
    font-size: 20px;
    line-height: 28px;
}

.paragraph-reg {
    font-weight: 400;
    font-size: 16px;
    line-height: 28px;
}

.paragraph-med {
    font-weight: 500;
    font-size: 16px;
    line-height: 28px;
}

.text-reg {
    font-weight: 400;
    font-size: 14px;
    line-height: 16px;
}

.text-med {
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
}

.subtext-reg {
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
}

.subtext-med {
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
}

.badge-small {
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
}

.badge-med {
    font-weight: 500;
    font-size: 12px;
    line-height: 16px;
}

.link {
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    text-decoration: underline;
    text-decoration-style: solid;
    text-decoration-offset: 0%;
    text-decoration-thickness: 0%;
    text-decoration-skip-ink: auto;
}


/*************************** LOADER *****************************************************/
#i-page-loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 3000;
    background-color: #202D3A77;
}

#i-page-loading.login,
.form-loader {
    display: none;
}

#i-page-loading.login.show, .form-loader.show {
    display: block !important;
}

.i-page-loading-panel {
    background: rgba(255, 255, 255, 1);
    box-shadow: 0px 2px 12px rgb(0 0 0 / 45%);
    border-radius: 4px;
    position: relative;
    left: calc(50% - 150px);
    top: calc(50% - 150px);
    width: 400px;
    padding: 2rem 1rem 1rem;
}

/*.i-screen-small .i-page-loading-panel {
    width: 210px;
    left: calc(50% - 105px);
    top: calc(50% - 105px);
    border-radius: 6px;
    padding: 1.4rem 0.7rem 0.7rem;
}*/
.i-page-loading-loader {
    background-image: url(../images/components/loading/loading.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center top;
    height: 32px;
    width: 32px;
    margin: 32px auto 0;
}

.i-page-loading-panel .loader {
    display: none !important;
}

.i-page-loading-icon {
    height: 48px;
    width: 48px;
    margin: 0 auto 20px;
}

.i-logo {
    background-image: url(../images/logo/innola-logo.svg);
    background-repeat: no-repeat;
    background-size: contain;
    transition: all .6s ease;
}

.i-logo:hover {
    background-image: url(../images/logo/innola-logo-empty.svg);

}

/*.i-screen-small .i-page-loading-progress {
    width: 140px;
    border-radius: 4px;
    margin-top: 7px;
}*/

.i-page-loading-progress {
    /*width: 200px;
    background: var(--bg_subtle);
    padding: 2px;
    border: 1px solid var(--text_primary);;
    border-radius: 6px;
    box-shadow: 0 0 20px 0 #35003655;
    margin: 10px auto 0;*/
    width: 100%;
    background: transparent;
    /* padding: 2px; */
    /* border: 1px solid var(--text_primary); */
    /* border-radius: 6px; */
    /* box-shadow: 0 0 20px 0 #35003655; */
    /*margin: 10px auto 0;*/
    position: absolute;
    bottom: 0;
    left: 0;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    overflow: hidden;
}

.i-page-loading-progress.hide {
    display: none;
}

.i-page-loading-progress-bar {
    background: #1D4ED8;
    height: 5px;
    width: 0;
    transition: 0.3s ease-in-out;
}

/*.i-screen-small .i-page-loading-progress-bar {
    height: 4px;
    border-radius: 3px;
}*/
.i-page-loading-header {
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 28px;
    color: var(--text_primary);
    text-align: center;
    display: block;
    min-height: 28px;
    margin-top: 16px;
}

.i-page-loading-header-sub {
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 20px;
    color: var(--text_secondary);
    text-align: center;
    display: block;
    min-height: 20px;
    margin-top: 4px;
}

.i-page-loading-text {
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 20px;
    color: var(--text_secondary);
    text-align: center;
    display: block;
    min-height: 20px;
    margin-top: 8px;
    margin-bottom: 16px;
}

/*.i-screen-small .i-page-loading-text {
    font-size: 10px;
    line-height: 13px;
    min-height: 13px;
    margin-top: 7px;
}*/

.i-load-error .i-page-loading-text {
    color: var(--text_error);
}

.i-load-error .i-page-loading-loader {
    background-image: url(../images/icon/state/error.svg);
}

.i-error-timestamp {
    font-size: 13px;
    color: white;
}

.loader {
    z-index: 3001;
}

.loader {
    /* display: block; */
    /* position: relative; */
    /* left: 50%; */
    /* top: 50%; */
    width: 80px;
    margin: auto;
    height: 80px;
    /*width: 120px;
    height: 120px;
    margin: -75px 0 0 -75px;*/
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #3B82F6;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
    /*background: rgba(255, 255, 255, 0.3);*/
}

.i-screen-small .loader {
    width: 56px;
    height: 56px;
    border-width: 2px;
}

/*body[dir="rtl"] .loader {
    left: unset;
    right: 50%;
}*/

.loader:after {
    content: "";
    position: absolute;
    top: 9px;
    left: 9px;
    right: 9px;
    bottom: 9px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: /*#f9c922*//*#B3B4B5*/ #C2C3C4;
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.5s linear infinite;
    background: rgba(255, 255, 255, 0.1);
}

.i-screen-small .loader:after {
    top: 6px;
    left: 6px;
    right: 6px;
    bottom: 6px;
    border-width: 2px;
}

.loader:before {
    content: "";
    position: absolute;
    top: 3px;
    left: 3px;
    right: 3px;
    bottom: 3px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #F87171;
    -webkit-animation: spin 3s linear infinite;
    animation: spin 3s linear infinite;
}

.i-screen-small .loader:before {
    top: 2px;
    left: 2px;
    right: 2px;
    bottom: 2px;
    border-width: 2px;
}

/*@media (max-width: 1400px) {
    .i-page-loading-panel {
        width: 210px;
        left: calc(50% - 105px);
        top: calc(50% - 105px);
        border-radius: 6px;
        padding: 1.4rem 0.7rem 0.7rem;
    }

    .i-page-loading-progress {
        width: 140px;
        border-radius: 4px;
        margin-top: 7px;
    }

    .i-page-loading-progress-bar {
        height: 4px;
        border-radius: 3px;
    }

    .i-page-loading-text {
        font-size: 10px;
        line-height: 13px;
        min-height: 13px;
        margin-top: 7px;
    }

    .loader {
        width: 56px;
        height: 56px;
        border-width: 2px;
    }

    .loader:before {
        top: 2px;
        left: 2px;
        right: 2px;
        bottom: 2px;
        border-width: 2px;
    }

    .loader:after {
        top: 6px;
        left: 6px;
        right: 6px;
        bottom: 6px;
        border-width: 2px;
    }
}*/

.loader-small {
    width: 70px;
    height: 70px;
    top: 0;
    margin: 5px 0 0 -35px;
}

.loader-small:after {
    top: 9px;
    left: 9px;
    right: 9px;
    bottom: 9px;
    border-radius: 50%;
}

.loader-small:before {
    top: 3px;
    left: 3px;
    right: 3px;
    bottom: 3px;
    border-radius: 50%;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        -ms-transform: rotate(0deg);
        /* IE 9 */
        transform: rotate(0deg);
        /* Firefox 16+, IE 10+, Opera */
    }
    100% {
        -webkit-transform: rotate(360deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        -ms-transform: rotate(360deg);
        /* IE 9 */
        transform: rotate(360deg);
        /* Firefox 16+, IE 10+, Opera */
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        -ms-transform: rotate(0deg);
        /* IE 9 */
        transform: rotate(0deg);
        /* Firefox 16+, IE 10+, Opera */
    }
    100% {
        -webkit-transform: rotate(360deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        -ms-transform: rotate(360deg);
        /* IE 9 */
        transform: rotate(360deg);
        /* Firefox 16+, IE 10+, Opera */
    }
}

/** ====================== Triggers =========================== */
/*.i-form-search-trigger,
.i-form-search-trigger.x-form-trigger.x-form-trigger-click,
.i-form-clear-trigger,
.i-form-clear-trigger.x-form-trigger.x-form-trigger-click,
.i-form-calculate-trigger,
.i-form-calculate-trigger.x-form-trigger.x-form-trigger-click,
.i-form-edit-trigger,
.i-form-edit-trigger.x-form-trigger.x-form-trigger-click {
    background-repeat: no-repeat;
    background-position: center !important;
    background-size: 17px 17px;
}*/

.i-form-search-trigger {
    background-image: url(../images/icon/main/search.svg) !important;
}

.i-form-clear-trigger {
    background-image: url(../images/icon/main/cross.svg) !important;
}


.icon-refresh {
    background-image: url(../images/icon/main/refresh.svg);
}

.icon-retry {
    background-image: url(../images/icon/main/refresh.svg);
}

.icon-refresh-l {
    background-image: url(../images/icon/white/refresh.svg);
}

.icon-add {
    background-image: url(../images/icon/main/add.svg);
}

.icon-actions {
    background-image: url(../images/icon/main/play.svg);
}

.icon-password {
    background-image: url(../images/icon/main/password.svg);
}

.icon-add-related {
    background-image: url(../images/icon/main/add-search.svg);
}

.icon-prev {
    background-image: url(../images/icon/main/nav-prev.svg);
}

.icon-next {
    background-image: url(../images/icon/main/nav-next.svg);
}

.x-rtl .icon-prev {
    background-image: url(../images/icon/main/nav-next.svg);
}

.x-rtl .icon-next {
    background-image: url(../images/icon/main/nav-prev.svg);
}

.icon-prev2 {
    background-image: url(../images/icon/main/nav-prev2.svg);
}

.icon-next2 {
    background-image: url(../images/icon/main/nav-next2.svg);
}

.x-rtl .icon-prev2 {
    background-image: url(../images/icon/main/nav-next2.svg);
}

.x-rtl .icon-next2 {
    background-image: url(../images/icon/main/nav-prev2.svg);
}


.icon-change-language {
    background-image: url(../images/icon/main/language.svg);
}

.icon-save {
    background-image: url(../images/icon/main/save.svg);
}

.icon-cancel {
    background-image: url(../images/icon/main/cross.svg);
}

.icon-archive {
    background-image: url(../images/icon/main/history_down.svg);
}

.icon-inarchive {
    background-image: url(../images/icon/main/history_down.svg);
}

.icon-pay-refund {
    background-image: url(../images/icon/main/refund.svg);
}

.icon-activate {
    background-image: url(../images/icon/main/history_up.svg);
}

.icon-rules {
    background-image: url(../images/icon/main/data-transfer.svg);
}

.icon-print {
    background-image: url(../images/icon/main/print.svg);
}

.icon-add-batch {
    background-image: url(../images/icon/main/add.svg);
}

.icon-redact {
    background-image: url(../images/icon/main/redact.svg);
}

.icon-attach {
    background-image: url(../images/icon/main/attach.svg);
}

.icon-clone {
    background-image: url(../images/icon/main/clone.svg);
}

.icon-history {
    background-image: url(../images/icon/main/history.svg);
}

.icon-export {
    background-size: contain;
    background-image: url(../images/icon/main/download.svg);
}

.icon-download {
    background-size: contain;
    background-image: url(../images/icon/main/download.svg);
}

.icon-upload {
    background-size: contain;
    background-image: url(../images/icon/main/upload.svg);
}


.icon-customization {
    background-image: url(../images/icon/main/customization.svg);
}

.icon-system {
    background-image: url(../images/icon/main/system.svg);
}

.icon-audit {
    background-image: url(../images/icon/main/system.svg);
}

.icon-change-pwd {
    background-image: url(../images/icon/main/password.svg);
}

.icon-delete {
    background-image: url(../images/icon/main/delete.svg);
}

.icon-detach {
    background-image: url(../images/icon/main/detach.svg);
}

.icon-complete {
    background-image: url(../images/icon/main/complete.svg);
}

.icon-validate {
    background-image: url(../images/icon/main/checkmark.svg);
}

.icon-search {
    background-image: url(../images/icon/main/search.svg);
}

.icon-pay-check {
    background-image: url(../images/icon/main/pay-check.svg);
}

.icon-pay-cash {
    background-image: url(../images/icon/main/pay-bill.svg);
}

.x-btn-primary-medium .icon-search {
    background-image: url(../images/icon/white/search.svg);
}


.icon-remove {
    background-image: url(../images/icon/main/remove.svg);
}

.icon-clear {
    background-image: url(../images/icon/main/remove.svg);
}

.icon-reports {
    background-image: url(../images/icon/main/reports.svg);
}

.icon-new-application {
    background-image: url(../images/icon/white/add.svg);
}

.icon-open-application {
    background-image: url(../images/icon/main/open.svg);
}

.icon-refresh-application {
    background-image: url(../images/icon/main/refresh.svg);
}

.icon-notifications {
    background-image: url(../images/icon/main/notification.svg);
}

.icon-dots {
    background-image: url(../images/icon/main/dots-vertical.svg);
}

.icon-logout {
    background-image: url(../images/icon/main/logout.svg);
}

.icon-help {
    background-image: url(../images/icon/main/help.svg);
}

.icon-user-settings {
    background-image: url(../images/icon/main/setting.svg);
}

.icon-about {
    background-image: url(../images/icon/main/info.svg);
}


.icon-file-any {
    background-image: url(../images/file/any.svg);
    background-size: 16px;
}

.icon-file-doc {
    background-image: url(../images/file/doc.svg);
    background-size: 16px;
}

.icon-file-empty {
    background-image: url(../images/file/empty.svg);
    background-size: 16px;
}

.icon-file-forbidden {
    background-image: url(../images/file/forbidden.svg);
    background-size: 16px;
}

.icon-file-pdf {
    background-image: url(../images/file/pdf.svg);
    background-size: 16px;
}

.icon-file-png {
    background-image: url(../images/file/png.svg);
    background-size: 16px;
}

.icon-file-svg {
    background-image: url(../images/file/svg.svg);
    background-size: 16px;
}

.icon-file-tif {
    background-image: url(../images/file/tif.svg);
    background-size: 16px;
}

.icon-file-txt {
    background-image: url(../images/file/txt.svg);
    background-size: 16px;
}

.icon-file-unknown {
    background-image: url(../images/file/unknown.svg);
    background-size: 16px;
}

.icon-file-xls {
    background-image: url(../images/file/xls.svg);
}

.icon-file-zip {
    background-image: url(../images/file/zip.svg);
}

.icon-calculate-invoice {
    background-image: url(../images/icon/main/add_invoice.svg);
}

.icon-view {
    background-image: url(../images/icon/main/document-preview.svg);
}

.icon-office-logo {
    background-image: url(../images/icon/main/field-image.svg);
}

.icon-run {
    background-image: url(../images/icon/main/run.svg);
}

.icon-pay-deposit {
    background-image: url(../images/icon/main/payment.svg);
}

.icon-view-doc {
    background-image: url(../images/icon/main/document-preview.svg);
}

.icon-generate {
    background-image: url(../images/icon/main/document-generate.svg);
}

.icon-generate-batch {
    background-image: url(../images/icon/main/document-generate.svg);
}

.icon-filter {
    background-image: url(../images/icon/main/filter.svg);
}

.icon-edit {
    background-image: url(../images/icon/main/edit.svg);
}

.icon-portal-property {
    background-image: url(../images/icon/portal/property.svg);
}

.icon-portal-transaction {
    background-image: url(../images/icon/portal/transaction.svg);
}

.icon-portal-document {
    background-image: url(../images/icon/portal/source.svg);
}

.icon-portal-party {
    background-image: url(../images/icon/portal/party.svg);
}

.icon-portal-interest {
    background-image: url(../images/icon/portal/interst.svg);
}

.icon-portal-spatialunit {
    background-image: url(../images/icon/portal/spatial.svg);
}

.icon-top {
    background-image: url(../images/icon/main/up.svg) !important;
}

.icon-down {
    background-image: url(../images/icon/main/down.svg) !important;
}

.icon-left {
    background-image: url(../images/icon/main/left.svg) !important;
}

.icon-left-collapse {
    background-image: url(../images/icon/main/nav-first.svg) !important;
}

.x-rtl .icon-left-collapse {
    background-image: url(../images/icon/main/nav-last.svg) !important;
}

.icon-right {
    background-image: url(../images/icon/main/right.svg) !important;
}


/** ====================== Misc ====================== */

.i-dev-permissions-info {
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1000;
    height: 16px;
    width: 16px;
    background-image: url(../images/icon/main/key.svg);
    background-size: contain;
    cursor: pointer;
}

.i-dev-permission {
    font-size: 11px;
}

.i-dev-permission.alt {
    background-color: white;
}

.i-dev-permission .value {
    font-weight: bold;
}

.i-dev-permission .desc {
    color: #777777;
    font-size: 9px;
    display: block;
}

.i-datamap-info {
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1000;
}

.i-datamap-name, .i-field-info-text {
    color: #999;
    font-size: 10px;
    line-height: 14px;
    padding-left: 5px;
}

.i-field-info {
    position: relative;
}

.i-field-info-text {
    z-index: 1000;
    text-align: right;
    line-height: 10px;
    position: absolute;
    right: 0;
    top: 0;
}


.i-form-clear-trigger-small {
    background-image: url(../images/icon/main/close.svg) !important;
}

.i-form-remove-trigger-small {
    background-image: url(../images/icon/main/close.svg) !important;
}

.i-open-task-link:before {
    content: ' ';
    display: block;
    height: 16px;
    width: 16px;
    top: calc(50% - 8px);
    background-image: url(../images/icon/main/task-edit.svg);
    background-position: center;
    position: absolute;
}

.i-open-task-link {
    padding-left: 20px;
}

.x-rtl .i-open-task-link {
    padding-left: 0;
    padding-right: 20px;
}

.x-rtl .i-open-task-link:before {

}

.i-splitter-horizontal {
    height: 24px;
}

.i-splitter-vertical {
    width: 24px;
}

.i-compact-view .i-splitter-horizontal {
    height: 16px;
}

.i-compact-view .i-splitter-vertical {
    width: 16px;
}

.i-header-spliter {
    display: block;
    color: var(--text_primary);
    font-size: 16px;
    font-weight: 400;
    line-height: 28px;
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 0;
    padding-right: 0;
}

.i-header-spliter:after {
    content: ' ';
    /* left: 100%; */
    top: 50%;
    width: 100%;
    background-color: var(--border);
    display: inline-block;
    height: 2px;
    position: absolute;
    margin-left: 24px;
}

.i-load-mask {
    background-color: rgba(142, 142, 142, 0.1);
}

.x-btn .i-tab-count {
    margin-left: auto !important;
}

.x-rtl .x-btn .i-tab-count {
    margin-right: auto !important;
    margin-left: unset !important;
}

.x-toolbar-default .i-hide-sidebar-button,
.x-toolbar-default.x-rtl .i-hide-sidebar-button {
    margin: 0 16px 16px;
}

.i-collapsed-state .x-toolbar-default .i-hide-sidebar-button,
.i-collapsed-state .x-toolbar-default.x-rtl .i-hide-sidebar-button {
    margin: 0 8px 16px;
}

.i-hide-sidebar-button .x-btn-inner {
    color: var(--text_secondary) !important;
}

.i-button-icon-far-right .x-btn-icon-el {
    margin-left: auto !important;
}

.x-rtl .i-button-icon-far-right .x-btn-icon-el {
    margin-left: unset !important;
    margin-right: auto !important;
}

.i-collapsed-state .i-hide-sidebar-button .x-btn-inner {
    display: none;
}

.i-collapsed-state .i-hide-sidebar-button.i-button-icon-far-right .x-btn-icon-el {
    margin-left: unset !important;
    margin-right: unset !important;
}

.i-collapsed-state .i-hide-sidebar-button .icon-left-collapse {
    background-image: url(../images/icon/main/nav-last.svg) !important;
}

.x-rtl .i-collapsed-state .i-hide-sidebar-button .icon-left-collapse {
    background-image: url(../images/icon/main/nav-first.svg) !important;
}

.i-no-events {
    pointer-events: none;
}

.i-no-icon-menu .x-menu-item-text-default.x-menu-item-indent-right-arrow,
.i-no-icon-menu .x-menu-item-text-default.x-menu-item-indent-no-separator,
.i-no-icon-menu .x-menu-item-indent-default {
    margin-left: 6px;
    margin-right: 6px;
}

.i-no-icon-menu .x-menu-item-text-default.x-menu-item-indent-right-arrow {
    margin-right: 24px;
}

.i-no-icon-menu.x-rtl .x-menu-item-text-default.x-menu-item-indent-right-arrow {
    margin-left: 24px;
    margin-right: 6px;
}


.i-transaction-group-sub {
    color: var(--text_secondary);
    line-height: 11px;
    font-size: 11px;
    margin-top: -3px;
}

.i-dict-icon {
    height: 24px;
    width: 24px;
}

.i-icon-field .i-dict-icon {
    height: 24px;
    width: 24px;
    margin: 12% auto;
}

.i-dict-icon-empty {
    background-image: url(../images/icon/main/no-icon.svg) !important;
    opacity: 0.3;
    background-size: contain;
}

.i-datamap-panel {
    padding-left: 1px;
    padding-right: 1px;
}

.i-grid-row-grow .x-grid-cell-inner {
    white-space: normal;
}

/** =====================  Layout ========================= */
.i-panel-zone-container, div.x-border-layout-ct.i-panel-zone-container {
    padding: 16px;
    background-color: var(--bg_subtle);
}

.i-compact-view .i-panel-zone-container, .i-compact-view div.x-border-layout-ct.i-panel-zone-container {
    padding: 8px 12px;
}

.i-search-result {
    padding: 16px !important;
}

.i-panel-zone-container > .x-panel-bodyWrap > .x-panel-body {
    background-color: var(--bg_subtle);
}

.i-panel-zone-body-container > .x-panel-bodyWrap > .x-panel-body {
    padding: 16px;
    background-color: var(--bg_subtle);
}

.i-compact-view .i-panel-zone-body-container > .x-panel-bodyWrap > .x-panel-body {
    padding: 8px 12px;
}

.i-panel-zone-body-container {
    background-color: var(--bg_subtle);
}

.i-panel-transparent,
.i-panel-transparent > .x-panel-bodyWrap > .x-panel-body {
    background-color: transparent;
}

.i-panel-bg,
.i-panel-bg > .x-panel-bodyWrap > .x-panel-body {
    background-color: var(--bg_subtle);;
}

.i-panel-zone {
    border: 1px solid var(--border, #E5E7EB);
    box-shadow: 0px 2px 8px 0px #0206170D;
    background: var(--bg_primary, #FFFFFF);
    border-radius: 4px;
    padding: 16px;
}

.i-compact-view .i-panel-zone {
    padding: 8px 12px;
}

.i-panel-zone.no-padding {
    padding: 0px;
}

.i-toolbar-no-left-padding,
.i-toolbar-no-left-padding.x-rtl {
    padding-left: 0;
    padding-right: 0;
}


.i-border-bottom {
    border-bottom: 1px solid var(--border, #E5E7EB) !important;
}

.i-border-top {
    border-top: 1px solid var(--border, #E5E7EB) !important;;
}

.i-border-right {
    border-right: 1px solid var(--border, #E5E7EB) !important;;
}

.i-panel-title {
    font-weight: 500;
    font-size: 16px;
    line-height: 36px;
    min-height: 36px;
}

.i-panel-toolbar.no-padding-left {
    padding-left: 0;
    padding-right: 0;
}

.i-panel-toolbar {
    padding: 0 0 16px 8px;
}

.i-compact-view .i-panel-toolbar {
    padding-bottom: 8px;
}

.i-list .x-grid-item {
    border-radius: 4px;
}

.i-list .x-grid-item.x-grid-item-selected {
    background-color: #E5E7EB;
}

.icon-logo {
    height: 80px;
    width: 80px;
    background-size: cover;
}

.i-list .icon-external-link {
    background-image: url(../images/icon/main/link-ext.svg) !important;
    background-size: contain;
    background-repeat: no-repeat;
    width: 16px;
    height: 16px;
    align-content: center;
    /* margin-top: 5px; */
    /* margin-left: 3px; */
    vertical-align: bottom;
    display: block;
    position: absolute;
    right: 4px;
    top: calc(50% - 8px);
}

.i-subtext {
    font-size: 12px;
    line-height: 16px;
    color: var(--text_secondary);
}

/* =====================  Button Selector =================*/
.i-tasks-filter-panel.x-panel {
    border-top: 1px solid var(--border);
}

.i-tasks-filter-panel .x-panel-header-title-default {
    color: var(--text_secondary);
    font-size: 12px;
    font-weight: 500;
    line-height: 16px;
}

.i-tasks-filter-panel .x-panel-header-default-horizontal.x-header-noborder {
    padding: 8px;
}

.i-tasks-filter-button.x-btn-pressed:after {
    content: ' ';
    height: 16px;
    width: 16px;
    background-image: url(../images/icon/main/checkmark.svg);
    top: calc(50% - 8px);
    right: 8px;
    position: absolute;
}

.x-rtl .i-tasks-filter-button.x-btn-pressed:after {
    right: unset;
    left: 8px;
}

.i-tasks-filter-button {
    margin-bottom: 8px;
}

.i-tasks-panel-title-subtext {
    background-color: var(--bg_subtle_2);
    font-size: 12px;
    line-height: 16px;
    border-radius: 4px;
    display: inline-block;
    padding: 4px 16px 4px 6px;
    margin-left: 15px;
    position: relative;
}

.i-tasks-panel-title-subtext .x-tagfield-item-close {
    width: 8px;
    height: 8px;
    top: 3px;
    right: 3px;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=1)" !important;
    opacity: 1 !important;
    background-position: center !important;
    background-image: url(../images/icon/main/close.svg);
}


.x-rtl .i-tasks-panel-title-subtext {
    margin-right: 15px;
    margin-left: 0;
}

.i-window-message-text {
    color: var(--text_primary);
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    padding: 10px 0;
    display: block;
    text-align: left;
}

/** ====================== Main Menu ====================== */
.i-main-menu {
    padding: 0 10px 0 0;
}

.i-main-menu.x-rtl {
    padding: 0 0 0 10px;
}

.i-menu-user-icon {
    width: 32px;
    height: 32px;
    border-radius: 16px;
    color: white;
    position: absolute;
    top: 2px;
    left: 0;
    text-align: center;
    line-height: 32px;
    font-size: 15px;
}

.i-menu-label-fullname {
    margin-left: 40px;
    color: var(--text_primary);
}


.i-menu-label-office {
    margin-left: 40px;
    color: var(--text_secondary);
}

.i-no-office .i-menu-label-fullname {
    line-height: 36px;
}

.i-application-select-button {
    border-width: 0 !important;
    border-radius: 0 0 12px 0;
    background-color: #2F6F95 !important;
    margin-right: 16px;
    padding: 8px 16px 8px 16px;
}

.i-application-select-button.x-rtl {
    border-radius: 0 0 0 12px;
}

.i-application-select-button .x-btn-inner-default-toolbar-large {
    color: white;
    font-weight: 500;
    font-size: 16px;
    line-height: 28px;
}

.i-application-select-button .icon-hamburger {
    background-image: url(../images/icon/white/hamburger.svg);
    height: 24px;
    width: 24px;
    background-size: contain;
}

.icon-view-tasks {
    background-image: url(../images/icon/main/hamburger.svg);
}

.i-application-select-button .x-btn-wrap-primary-large.x-btn-arrow-right:after {
    background-image: url(../images/icon/white/up-down.svg);
}

.i-application-select-button.x-btn-over {
    opacity: 0.9;
}

.i-application-select-button.x-btn-pressed {
    opacity: 0.8;
}

.i-portal-details-toolbar {
    background-color: transparent;
    padding: 16px 16px 8px 24px;
    border-width: 0;
}

.i-portal-object-title {
    /*padding-left: 24px;*/
    font-weight: 600;
    font-size: 20px;
    line-height: 36px;
}

.i-portal-view .i-application-select-button .icon-hamburger {
    background-image: url(../images/icon/white/search.svg);
}

.icon-view-portal {
    background-image: url(../images/icon/main/search.svg);
}

.i-portal-view .i-application-select-button {
    background-color: #B85B16 !important;
}

.i-admin-view .i-application-select-button .icon-hamburger {
    background-image: url(../images/icon/white/setting.svg);
}

.icon-view-admin {
    background-image: url(../images/icon/main/setting.svg);
}

.i-admin-view .i-application-select-button {
    background-color: #4B4B4B !important;
}

.i-dashboard-view .i-application-select-button .icon-hamburger {
    background-image: url(../images/icon/white/dashboard.svg);
}

.icon-view-dashboard {
    background-image: url(../images/icon/main/dashboard.svg);
}

.i-dashboard-view .i-application-select-button {
    background-color: #94A3B8 !important;
}

.i-dashboard-finance .i-application-select-button .icon-hamburger {
    background-image: url(../images/icon/white/cachier.svg);
}

.icon-view-cashier {
    background-image: url(../images/icon/main/cachier.svg);
}

.i-dashboard-finance .i-application-select-button {
    background-color: #2E6E3E !important;
}

.i-dict-value-tag {
    font-size: 12px;
    line-height: 16px;
    font-weight: 500;
    padding: 2px 6px;
    color: #9CA3AF;
    display: inline-block;
    background-color: #F5F6F7;
    border-radius: 4px;
}

.i-dict-value-tag.i-dict-proc_status_created {
    color: #1E3A8A;
    background-color: #E8EBF3;
}

.i-dict-value-tag.i-dict-proc_status_processing,
.i-dict-value-tag.i-dict-reg_status_pending {
    color: #1D4ED8;
    background-color: #D8E9FF;
}

.i-dict-value-tag.i-dict-proc_status_approved,
.i-dict-value-tag.i-dict-reg_status_current {
    color: #1BA04C;
    background-color: #E9FAEF;
}

.i-dict-value-tag.i-dict-proc_status_withdrawn,
.i-dict-value-tag.i-dict-reg_status_deleted {
    color: #EF4444;
    background-color: #FEF2F2;
}

.i-dict-value-tag.i-dict-proc_status_postponed,
.i-dict-value-tag.i-dict-reg_status_canceled,
.i-dict-value-tag.i-dict-reg_status_temporal {
    color: #9CA3AF;
    background-color: #F5F6F7;
}

.i-dict-value-tag.i-dict-proc_status_hold,
.i-dict-value-tag.i-dict-reg_status_historic,
.i-dict-value-tag.i-dict-reg_status_previous {
    color: #F19524;
    background-color: #FEF4E9;
}

.i-dict-value-tag.i-dict-proc_status_completed {
    color: #14532D;
    background-color: #F3F6F4;
}

.i-dict-value-tag.i-dict-proc_status_rejected,
.i-dict-value-tag.i-dict-reg_status_rejected {
    color: #EF4444;
    background-color: #FEF2F2;
}
.i-task-readonly-tag {
    color: #EF4444;
    background-color: #FEF2F2;
}
/* ======================== Task View ==============================*/

.i-task-view-read-only-tag {
    margin-left: 5px;
}

.i-task-view-card {
    background-color: var(--bg_subtle);
}

.i-task-view-toolbar {
    background-color: transparent;
    padding: 16px 16px 8px;
}

.i-task-view-title {
    margin-right: 8px;
}

.x-rtl .i-task-view-title {
    margin-left: 8px;
    margin-right: 0;
}

.i-task-view-transaction span,
.i-task-view-task span {
    color: var(--text_secondary)
}

.i-task-view-transaction {
    margin-right: 24px;
}

.x-rtl.i-task-view-transaction {
    margin-right: 0;
    margin-left: 24px;
}

.i-task-view-card-body {
    padding: 0 16px 16px;
}

.i-task-view-portal .i-task-view-card-body {
    padding-top: 16px;
}

/*.i-task-view-buttons .x-btn-icon-el {
  background-size: contain;
  background-image: url(../images/icon/widget/document.svg);
}*/
.i-widget-memo {
    background-image: url(../images/icon/widget/memo.svg);
}

.i-widget-summary {
    background-image: url(../images/icon/widget/summary.svg);
}

.i-widget-document {
    background-image: url(../images/icon/widget/document.svg);
}

.i-widget-party {
    background-image: url(../images/icon/widget/person.svg);
}

.i-widget-report {
    background-image: url(../images/icon/widget/report.svg);
}

.i-widget-property {
    background-image: url(../images/icon/widget/property.svg);
}

.i-widget-action {
    background-image: url(../images/icon/widget/complete.svg);
}

.i-widget-approve {
    background-image: url(../images/icon/widget/approval.svg);
}

.i-widget-interest {
    background-image: url(../images/icon/widget/interest.svg);
}

.i-widget-changes {
    background-image: url(../images/icon/widget/changes.svg);
}

.i-widget-payment {
    background-image: url(../images/icon/widget/payment.svg);
}

.i-widget-history {
    background-image: url(../images/icon/widget/history.svg);
}

.i-datamap-panel.x-table-layout-ct .x-form-item,
.x-table-layout-ct .x-form-item {
    padding: 0 24px 20px 0;
}

.i-datamap-panel.x-table-layout-ct .x-form-item.x-from-item-invalid,
.x-table-layout-ct .x-form-item.x-from-item-invalid {
    padding-bottom: 0;
}

.i-form-read-only .i-datamap-panel.x-table-layout-ct .x-form-item,
.i-form-read-only .x-table-layout-ct .x-form-item {
    padding-bottom: 8px;
}

.i-datamap-panel.x-table-layout-ct td:last-child .x-form-item,
.x-table-layout-ct td:last-child .x-form-item {
    padding-right: 0;
}

.x-rtl .i-datamap-panel.x-table-layout-ct .x-form-item,
.x-rtl .x-table-layout-ct .x-form-item {
    padding: 0 0 20px 24px;
}

.x-rtl.i-datamap-panel.x-table-layout-ct td:last-child .x-form-item,
.x-rtl .x-table-layout-ct td:last-child .x-form-item {
    padding-right: 24px;
    padding-left: 0;
}

.x-rtl.i-datamap-panel.x-table-layout-ct td:last-child:first-child .x-form-item,
.x-rtl .x-table-layout-ct td:last-child:first-child .x-form-item {
    padding-right: 0;
    padding-left: 0;
}

.x-table-form-item {
    margin-bottom: 4px;
}

/*.i-widget-invalid-icon {
  content: ' ';
  height: 16px;
  width: 16px;
  background-size: contain;
  background-image: url(../images/icon/state/warning.svg);
}*/

.i-widget-invalid .x-btn-icon-el {
    background-size: contain;
    background-image: url(../images/icon/state/warning.svg) !important;
}

.i-widget-invalid .x-btn-icon-el:hover {
    transform: scale(1.1);
}

/* =================== BPMN, Highcharts =============================*/
.i-highlight-marker .djs-visual > * {
    stroke: var(--accent_primary) /*rgba(66, 180, 21, 0.7)*/ !important;
    fill: var(--accent_primary22) /*rgba(66, 180, 21, 0.7)*/ !important;
}

.i-highlight-marker.djs-connection .djs-visual > * {
    fill: none !important;
}

.i-highlight-marker.djs-connection .djs-visual > * {
    fill: none !important;
}

.i-highlight-marker .djs-visual > text {
    stroke: none !important;
    fill: var(--accent_primary) !important;
}

.highcharts-root tspan {
    direction: ltr;
}

.i-actions-diagram {
    background-color: #f8f8f8;
    overflow: hidden;
    border: 1px solid #EAEAEA
}

.i-actions-diagram .djs-visual > * {
    opacity: 0.4;
}

.i-actions-diagram .i-actions-marker .djs-visual > * {
    opacity: 1;
}


.i-bpmnviewer-inner, .i-bpmnviewer-error {
    height: 100%;
    width: 100%;
    padding: 0;
    margin: 0;
}

.x-rtl .i-bpmnviewer-inner > .bjs-container {
    direction: ltr;
}

.x-rtl .i-bpmnviewer-inner tspan {
    direction: rtl;
    unicode-bidi: embed;
}

/* Override: LTR for annotation tspans specifically */
.x-rtl .i-bpmnviewer-inner g[data-element-id^="TextAnnotation"] tspan,
.x-rtl .i-bpmnviewer-inner g[data-element-id^="text_"] tspan {
    direction: ltr !important;
}

.bjs-powered-by-lightbox {
    z-index: 99999 !important;
}

/* ============================ Action Widget ================================*/
/*** */

.i-decision-label {
    font-size: 20px;
    line-height: 32px;
    padding-left: 20px;
    padding-right: 20px;
    display: table-row;
}

.i-decision-label:before {
    content: ' ';
    display: table-cell;
    pointer-events: none;
}

.i-available-transaction {
    margin-bottom: 8px;
    margin-right: 8px;
    border-radius: 4px;
    border: 1px solid var(--border);
    padding-left: 8px;
    padding-top: 3px;
    padding-bottom: 3px;
}

.x-rtl .i-available-transaction {
    padding-right: 8px;
    padding-left: 0;
}

.i-available-transaction.x-form-cb-checked {
    border-color: var(--accent_primary);
}

.i-available-transaction .x-form-cb-label {
    font-size: 14px;
    line-height: 18px;
    padding-left: 32px !important;
}

.i-available-transaction .x-form-cb-label .transition {
    font-size: 16px;
    line-height: 20px;
    color: var(--text_primary);
}

/*.i-available-transaction .x-form-cb-label i {
    font-size: 14px;
    line-height: 20px;
    margin-left: 5px;
    margin-right: 5px;
    color: #999;
    opacity: 0.8;
}*/

.i-available-transaction .x-form-cb-label i.tr-icon {
    opacity: 0.8;
}

.i-available-transaction .x-form-cb-label .subtext {
    color: var(--text_secondary);
}

.i-available-transaction .x-form-cb-label .subname {
    color: var(--text_primary);
}

.i-available-transaction .x-form-cb-label .subrole {
    color: var(--text_primary);
}

.i-available-transaction .x-form-cb-label a.diagram {
    cursor: pointer;
    display: inline-block;
    text-decoration: none;
    color: inherit;
    vertical-align: middle;
    height: 16px;
    width: 16px;
    margin-left: 4px;
    background-image: url(../images/components/actions/eye.svg);
}

.i-available-transaction .x-form-cb-label a.diagram:hover {
    transform: scale(1.1);
    background-image: url(../images/components/actions/eye_over.svg);
}

/******************* DOCUMENTS *****************************/
.i-document-no-selection {
    text-align: center;
    margin: auto;
    padding-top: 100px;
    color: var(--text_secondary);
    font-size: 14px;
}

.i-document-no-file {
    text-align: center;
    margin: auto;
    padding-top: 100px;
    color: var(--text_secondary);
    font-size: 14px;
}

.i-document-forbidden {
    text-align: center;
    margin: auto;
    padding-top: 100px;
    color: var(--text_secondary);
    font-size: 14px;
    font-weight: bold;
}

.i-document-download {
    text-align: center;
    margin: auto;
    padding-top: 100px;
    font-size: 14px;
}

.i-file-icon {
    display: inline-block;
    width: 16px;
    height: 16px;
    background-position: center;
    background-repeat: no-repeat;
}

.i-document-view .i-file-icon {
    height: 20px;
    background-position: center;
    position: absolute;
    right: 100%;
}

.i-document-download a {
    position: relative;
}

.i-document-toolbar {
    padding: 16px;
}

.i-document-panel-sub {
    padding: 16px;
}

.i-document-toolbar-sub {
    padding-left: 16px;
    padding-right: 16px;
}

.i-documents .x-tree-node-text {
    font-size: 14px;
    line-height: 20px;
    /*display: inline-table;*/
}

/*.i-documents .x-tree-icon-parent,
.i-documents .x-tree-icon-leaf,
.i-documents .x-tree-icon-parent-expanded {
    background-image: none;
}*/

.i-documents .x-grid-cell-inner-treecolumn {
    padding: 8px 16px 6px 6px;
}

.i-documents .i-document-subtext {
    font-size: 12px;
    line-height: 16px;
    color: var(--text_secondary);
}

.i-documents .x-tree-icon.fa:before {
    color: var(--text_primary);
    margin-top: 14px;
    display: block;
}

.i-documents .x-grid-item {
    border-radius: 4px;
}

.i-documents .x-grid-item.x-grid-item-selected {
    background-color: #E5E7EB;
}

.i-documents.x-tree-no-lines .x-tree-expander {
    background-image: url(../images/icon/main/down.svg);
}

.i-documents.x-tree-no-lines .x-grid-tree-node-expanded .x-tree-expander {
    background-image: url(../images/icon/main/up.svg);
}

/*.i-documents-body {
    padding: 16px;
}*/


/******************** CODE EDITOR *********************************/
.i-code-field {
    border: 1px solid var(--border);
}

.i-console .x-form-text {
    font-family: monospace;
    color: black;
    font-size: 13px;
}

.i-screen-small .i-console .x-form-text {
    font-size: 10px;
}

.i-console textarea.x-form-text {
    white-space: pre;
    overflow-wrap: normal;
    overflow-x: scroll;
}

.cm-s-eclipse span.cm-meta {
    color: #FF1717;
}

.cm-s-eclipse span.cm-keyword {
    line-height: 1em;
    font-weight: bold;
    color: #7F0055;
}

.cm-s-eclipse span.cm-atom {
    color: #219;
}

.cm-s-eclipse span.cm-number {
    color: #164;
}

.cm-s-eclipse span.cm-def {
    color: #00f;
}

.cm-s-eclipse span.cm-variable {
    color: black;
}

.cm-s-eclipse span.cm-variable-2 {
    color: #0000C0;
}

.cm-s-eclipse span.cm-variable-3 {
    color: #0000C0;
}

.cm-s-eclipse span.cm-property {
    color: black;
}

.cm-s-eclipse span.cm-operator {
    color: black;
}

.cm-s-eclipse span.cm-comment {
    color: #3F7F5F;
}

.cm-s-eclipse span.cm-string {
    color: #2A00FF;
}

.cm-s-eclipse span.cm-string-2 {
    color: #f50;
}

.cm-s-eclipse span.cm-qualifier {
    color: #555;
}

.cm-s-eclipse span.cm-builtin {
    color: #30a;
}

.cm-s-eclipse span.cm-bracket {
    color: #cc7;
}

.cm-s-eclipse span.cm-tag {
    color: #170;
}

.cm-s-eclipse span.cm-attribute {
    color: #00c;
}

.cm-s-eclipse span.cm-link {
    color: #219;
}

.cm-s-eclipse span.cm-error {
    color: #f00;
}

.cm-s-eclipse .CodeMirror-activeline-background {
    background: #e8f2ff;
}

.cm-s-eclipse .CodeMirror-matchingbracket {
    outline: 1px solid grey;
    color: black !important;
}

/* ============================== LOGIN ==================================*/
/* Viewport */
.i-login-viewport {
    background-color: var(--bg_subtle);
}

.i-login-panel {
    background-color: #ffffff;
    border: 1px solid var(--border, #E5E7EB);
    box-shadow: 0px 2px 12px 0px #0206171A;
    border-radius: 4px;
}

/* Left side container */
.i-login-panel-left {
    padding: 32px;
}

.i-login-panel-right {
    background-image: url(../images/background/login-background.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* Login form container */
.i-login-form {
    /*width: 400px;
    border-radius: 4px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);*/
}

/* Logo container */
.i-login-logo-container {
    text-align: center;
    margin-bottom: 12px;
}

.i-login-logo-container {
    height: 48px;
    /*width: 48px;*/
    background-position: center;
}

.i-logo {
    background-image: url(../images/logo/innola-logo.svg);
    background-repeat: no-repeat;
    background-size: contain;
    transition: all .6s ease;
}

.i-logo:hover {
    background-image: url(../images/logo/innola-logo-empty.svg);

}

/* Login title */
.i-login-title {
    text-align: center;
    margin-bottom: 32px;
}

/* Required field indicator */
.i-required {
    color: #EF4444;
}

/* Password trigger (eye icon) */
.i-password-trigger {
    cursor: pointer;
    background-image: url(../images/icon/main/eye.svg);
    background-repeat: no-repeat;
    background-position: center;
    opacity: 0.6;
}

.i-password-trigger.i-password-visible {
    background-image: url(../images/icon/main/eye-crossed.svg);
}

.i-password-trigger:hover {
    opacity: 1;
}

.i-password-visible {

}

.i-login-button {
    margin-top: 32px;
}


.i-reset-links {
    text-align: center;
    margin-top: 16px;
    line-height: 36px;
}

.i-forgot-password {
    text-align: center;
    margin-top: 16px;
    line-height: 36px;
}

.i-forgot-password a {
    text-decoration: none;
    font-size: 14px;
}

.i-forgot-password a:hover {
    text-decoration: underline;
}

/* Language selector container */
.i-language-container {
    margin-top: 15px;
}

.i-language-combo .x-form-text {
    height: 32px;
    padding: 4px 8px;
    font-size: 13px;
}

/* Version info */
.i-login-version-info {
    text-align: center;
    margin-top: 12px;
    color: #999;
    font-size: 12px;
}

input:-webkit-autofill, input:-internal-autofill-selected {
    background-color: transparent !important;
}

input.x-form-field:-webkit-autofill,
input.x-form-field:-webkit-autofill:hover,
input.x-form-field:-webkit-autofill:focus,
input.x-form-field:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 1000px white inset !important;
    box-shadow: 0 0 0 1000px white inset !important;
    -webkit-text-fill-color: var(--text_primary) !important; /* Text color */
}

/* Right side background */


/* Footer */
.i-login-footer {
    background: transparent;
    border-width: 0;
    color: var(--text_secondary);
    font-size: 12px;
    padding-left: 16px;
    padding-right: 16px;
}

.i-login-footer-left,
.i-login-footer-right {

}

.i-login-error-message {
    color: var(--text_error);
    background-color: #FEF2F2;
    /*text-align: justify;*/
    padding: 8px 8px 8px 32px;
    border-radius: 4px;
    margin-bottom: 15px;
}

.i-login-error-message:after {
    content: ' ';
    position: absolute;
    top: calc(50% - 8px);
    left: 8px;
    height: 16px;
    width: 16px;
    background-size: contain;
    background-image: url(../images/icon/state/error.svg);
}

.i-login-warning-message {
    color: #B85B16;
    background-color: #F195241A;
    /*text-align: justify;*/
    padding: 8px 8px 8px 32px;
    border-radius: 4px;
    margin-bottom: 15px;
}

.i-login-warning-message:after {
    content: ' ';
    position: absolute;
    top: calc(50% - 8px);
    left: 8px;
    height: 16px;
    width: 16px;
    background-image: url(../images/icon/state/warning.svg);
}

.i-language-combo {
    margin-top: 20px;
}

.i-language-combo.has-flag .x-form-text {
    padding-left: 30px; /* make room for flag */
}

.i-language-combo .i-combo-flag-icon {
    position: absolute;
    left: 5px;
    top: 50%;
    transform: translateY(-50%);
}

.i-language-combo .x-form-trigger-wrap-default {
    border-width: 0;
}


.i-login-description {
    margin-bottom: 20px;
}

.i-login-success-title {
    margin-bottom: 20px;
    text-align: center;
}

.i-login-password-requirements {
    margin-bottom: 20px;
}

.i-step-2 .i-login-title {
    line-height: 22px;
}

.x-box-layout-ct > .x-box-inner > .x-box-target > .i-version-field:not(:first-child) {
    margin-left: 5px;
}

/* Responsive adjustments */
/*@media (max-width: 1024px) {
    .i-login-form {
        width: 350px;
    }
}

@media (max-width: 768px) {
    .i-login-form {
        width: 300px;
    }

    .i-login-background {
        display: none;
    }
}*/
.i-empty-grid-info .icon {
    width: 48px;
    height: 48px;
    margin: 0 auto 0 auto;
    background-size: contain;
    background-image: url(../images/components/grid/empty-search.svg);
}

.i-validation-grid .i-empty-grid-info .icon {
    background-image: url(../images/components/grid/empty-success.svg);
}

.i-empty-grid-info .header {
    color: var(--text_primary);
    font-size: 16px;
    line-height: 28px;
    font-weight: 500;
}

.i-empty-grid-info .text {
    color: var(--text_secondary);
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
}

.i-mandatory-label .x-form-item-label-inner:before {
    content: '*';
    color: #ef4444;
    margin-right: 1px;
}

i.fa-circle-o {
    display: inline-flex;
    width: 14px;
    flex: 1;
    height: 14px;
    border-radius: 50%;
    border: 2px solid currentColor;
    box-sizing: border-box;
    align-content: center;
    vertical-align: middle;
    margin-bottom: 3px;
}

i.fa-check {
    background-image: url(../images/icon/state/success_checkmark.svg);
    height: 16px;
    width: 16px;
    display: inline-flex;
    align-content: center;
    box-sizing: border-box;
    vertical-align: middle;
}

.x-form-readonly:not(.i-readonly-mandatory) .i-mandatory-label .x-form-item-label-inner:before {
    content: '' !important;
}

.i-icon-grid-header {
    width: 16px;
    height: 16px;
}

.i-panel-toolbar-with-fields > .x-box-inner {
    min-height: 60px;
}

.i-transition-description {
    background-color: #B85B161A;
    padding: 8px 8px 8px 36px;
    border-radius: 4px;
    color: var(--text_primary);
}

.i-transition-description:after {
    position: absolute;
    content: ' ';
    top: 8px;
    left: 8px;
    height: 20px;
    width: 20px;
    background-image: url(../images/icon/state/info-warning.svg);
}
